MapExpression (Groovy 4.0.10)

Package: org.codehaus.groovy.ast.expr

## [Java] Class MapExpression

- org.codehaus.groovy.ast.expr.MapExpression

-     public class MapExpression
      extends Expression

  Represents a map expression [1 : 2, "a" : "b", x : y] which creates a mutable Map

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class Expression` | `EMPTY_ARRAY`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MapExpression()`
    `MapExpression(List<MapEntryExpression> mapEntryExpressions)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `addMapEntryExpression(MapEntryExpression expression)`
    `` | `public void` | `addMapEntryExpression(Expression keyExpression, Expression valueExpression)`
    `` | `public List<MapEntryExpression>` | `getMapEntryExpressions()`
    `` | `public String` | `getText()`
    `` | `public boolean` | `isDynamic()`
    `` | `public String` | `toString()`
    `` | `public Expression` | `transformExpression(ExpressionTransformer transformer)`
    `` | `public void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Expression` | `getType, setType, transformExpression, transformExpressions, transformExpressions`
    `class AnnotatedNode` | `addAnnotation, addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, getGroovydoc, getInstance, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition, visit`

- - ### Constructor Detail

    - #### public MapExpression()

    - #### public MapExpression(List<MapEntryExpression> mapEntryExpressions)

  - ### Method Detail

    - #### public void addMapEntryExpression(MapEntryExpression expression)

    - #### public void addMapEntryExpression(Expression keyExpression, Expression valueExpression)

    - #### public List<MapEntryExpression> getMapEntryExpressions()

    - #### @Override
      public String getText()

    - #### public boolean isDynamic()

    - #### @Override
      public String toString()

    - #### @Override
      public Expression transformExpression(ExpressionTransformer transformer)

    - #### @Override
      public void visit(GroovyCodeVisitor visitor)